# User Shortcuts

This use case outlines how to surface the Firstup User Shortcuts feature onto a home page.

The User Shortcuts feature is a tray/widget that appears on a user's home page, with direct links out to urls (Example, integrations to HRIS platforms, online training platforms, useful links, resources, etc.).

User Shortcuts are configured in Studio at an audience level. This enables you to target specific links to specific users via their audience. For example, target management resources to only your managers.

shortcuts.png
**Endpoint**

GET /v2/shortcuts
**Request Parameters**

There are no query or request parameters with this endpoint. This endpoint is user scoped at authorization, and will only return shortcuts linked to the acting user's profile.

### Response shown in this example


```json
[
  {
    "id": 628,
    "name": "Employee Notices",
    "image_url": "https://cdn.example.com/shortcuts/employee-notices-icon.png",
    "banner_image_url": "https://cdn.example.com/shortcuts/employee-notices-banner.png",
    "links": [
      {
        "url": "https://intranet.example.com/notices",
        "label": "View Notices"
      }
    ]
  },
  {
    "id": 629,
    "name": "HR & Benefits",
    "image_url": "https://cdn.example.com/shortcuts/hr-benefits-icon.png",
    "banner_image_url": "https://cdn.example.com/shortcuts/hr-benefits-banner.png",
    "links": [
      {
        "url": "https://hr.example.com",
        "label": "Open HR Portal"
      },
      {
        "url": "https://benefits.example.com",
        "label": "View Benefits"
      }
    ]
  },
  {
    "id": 630,
    "name": "Learning Hub",
    "image_url": "https://cdn.example.com/shortcuts/learning-hub-icon.png",
    "banner_image_url": "https://cdn.example.com/shortcuts/learning-hub-banner.png",
    "links": [
      {
        "url": "https://learning.example.com",
        "label": "Start Training"
      }
    ]
  }
]
```

## Response schema


```json
{
  "$ref": "#/components/schemas/schema",
  "components": {
    "schemas": {
      "schema": {
        "type": "object",
        "required": [
          "data"
        ],
        "properties": {
          "data": {
            "type": "array",
            "items": {
              "type": "object",
              "properties": {
                "id": {
                  "type": "integer",
                  "description": "ID of the integration/shortcut",
                  "example": 628
                },
                "name": {
                  "type": "string",
                  "example": "Employee Notices"
                },
                "image_url": {
                  "type": "string",
                  "description": "The url for the shortcut's image"
                },
                "banner_image_url": {
                  "type": "string",
                  "description": "The url for the shortcut's banner_image url"
                },
                "links": {
                  "type": "array",
                  "description": "List of links",
                  "items": {
                    "type": "object",
                    "properties": {
                      "url": {
                        "type": "string",
                        "description": "The URI of the link"
                      },
                      "label": {
                        "type": "string",
                        "description": "The label for the link",
                        "example": "Team FAQ"
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}
```